org.apache.cassandra.io.util

## Class SegmentedFile.Cleanup

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile.Cleanup

All Implemented Interfaces:
  RefCounted.Tidy

Direct Known Subclasses:
  PoolingSegmentedFile.Cleanup

Enclosing class:
  SegmentedFile

    protected abstract static class SegmentedFile.Cleanup
    extends java.lang.Object
    implements RefCounted.Tidy

### Constructor Summary

Constructors
`protected` `Cleanup(ChannelProxy channel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `name()`
`void` `tidy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cleanup

    protected Cleanup(ChannelProxy channel)

### Method Detail

#### name

    public java.lang.String name()

Specified by:
  `name` in interface `RefCounted.Tidy`

#### tidy

    public void tidy()

Specified by:
  `tidy` in interface `RefCounted.Tidy`